<?php
/*
Plugin Name: FraudLogix
Plugin URI: http://fraudlogix.com/wp_plugin
Description: FraudLogix Integration Plugin
Version: 1.1
Author: FraudLogix.com.
Author URI: http://fraudlogix.com
License: GPL2
*/

/*  Copyright 2013 FraudLogix Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if (!defined('WP_CONTENT_URL'))
      define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
      define('WP_CONTENT_DIR', ABSPATH.'wp-content');
if (!defined('WP_PLUGIN_URL'))
      define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');
if (!defined('WP_PLUGIN_DIR'))
      define('WP_PLUGIN_DIR', WP_CONTENT_DIR.'/plugins');


function activate_fraudlogix() {
  
  add_option('fraudlogix_pixelId', 'flpx_XX_YY');
  add_option('fraudlogix_affiliateId', 'affiliateId');
  add_option('fraudlogix_sid', 'sid');
  add_option('fraudlogix_offerId', 'offerid');
  add_option('fraudlogix_uniqueId', 'uniqueid');
  add_option('fraudlogix_vertical', 'vertical');
  add_option('fraudlogix_offerType', 'offertype');
  
  add_option('fraudlogix_arpages', '');
}

function deactive_fraudlogix() {
  
  delete_option('fraudlogix_pixelId');
  delete_option('fraudlogix_affiliateId');
  delete_option('fraudlogix_sid');
  delete_option('fraudlogix_offerId');
  delete_option('fraudlogix_uniqueId');
  delete_option('fraudlogix_vertical');
  delete_option('fraudlogix_offerType');

  delete_option('fraudlogix_arpages');
}

function admin_init_fraudlogix() {
  
  register_setting('fraudlogix', 'fraudlogix_pixelId');
  register_setting('fraudlogix', 'fraudlogix_affiliateId');
  register_setting('fraudlogix', 'fraudlogix_sid');
  register_setting('fraudlogix', 'fraudlogix_offerId');
  register_setting('fraudlogix', 'fraudlogix_uniqueId');
  register_setting('fraudlogix', 'fraudlogix_vertical');
  register_setting('fraudlogix', 'fraudlogix_offerType');

  register_setting('fraudlogix', 'fraudlogix_arpages');

}

function admin_menu_fraudlogix() {
  add_options_page('FraudLogix', 'FraudLogix', 'manage_options', 'fraudlogix', 'options_page_fraudlogix');
}

function options_page_fraudlogix() {
  include(WP_PLUGIN_DIR.'/fraudlogix/options.php');  
}

function fraudlogix_form() {
  $pixelId = get_option('fraudlogix_pixelId');
  $affiliateId = get_option('fraudlogix_affiliateId');
  $sid = get_option('fraudlogix_sid');
  $offerId = get_option('fraudlogix_offerId');
  $uniqueId = get_option('fraudlogix_uniqueId');
  $vertical = get_option('fraudlogix_vertical');
  $offerType = get_option('fraudlogix_offerType');

  $ar_pixel = explode("_",$pixelId);
  $pixel_1 = $ar_pixel[1];
  $pixel_2 = $ar_pixel[2];

?>
<form name="flgxfrm_<?php echo $pixel_1;?>">
<input type="hidden" name="id" value="<?php echo (isset($_REQUEST[$affiliateId])?$_REQUEST[$affiliateId]:$affiliateId);?>">
<input type="hidden" name="sid" value="<?php echo (isset($_REQUEST[$sid])?$_REQUEST[$sid]:$sid);?>">
<input type="hidden" name="offerID" value="<?php echo (isset($_REQUEST[$offerId])?$_REQUEST[$offerId]:$offerId);?>">
<input type="hidden" name="vertical" value="<?php echo (isset($_REQUEST[$vertical])?$_REQUEST[$vertical]:$vertical);?>">
<input type="hidden" name="offertype" value="<?php echo (isset($_REQUEST[$offerType])?$_REQUEST[$offerType]:$offerType);?>">
<input type="hidden" name="uniqueID" value="<?php echo (isset($_REQUEST[$uniqueId])?$_REQUEST[$uniqueId]:$uniqueId);?>">
</form>

<?php
}

function fraudlogix() {

  $ar_pages = get_option('fraudlogix_arpages');
  
  if(is_array($ar_pages))
  {
    // '0' array value is for all site
    // '-1' array value is for homepage
    // '-2' array value is for all archive pages
    if (is_page($ar_pages) || in_array( '0',$ar_pages)
      || (is_front_page()  && in_array( '-1',$ar_pages))
      || ((is_archive() || is_home() || is_single()) && in_array( '-2',$ar_pages)
      )
      )
    {
      fraudlogix_form();
      fraudlogix_footer();
    }
  }
}

function fraudlogix_footer() {
  $pixelId = get_option('fraudlogix_pixelId');
  $affiliateId = get_option('fraudlogix_affiliateId');
  $sid = get_option('fraudlogix_sid');
  $offerId = get_option('fraudlogix_offerId');
  $uniqueId = get_option('fraudlogix_uniqueId');
  $vertical = get_option('fraudlogix_vertical');
  $offerType = get_option('fraudlogix_offerType');

  $ar_pixel = explode("_",$pixelId);
  $pixel_1 = $ar_pixel[1];
  $pixel_2 = $ar_pixel[2];
  
?>
<!--lporirxe//-->

<div id="<?php echo $pixelId;?>" style="display:none;"></div>

<noscript>
	<div style="display:none"><img src="http://flx<?php echo $pixel_1;?>.lporirxe.com/flp/mngpix.php?id=<?php echo (isset($_REQUEST[$affiliateId])?$_REQUEST[$affiliateId]:$affiliateId);?>&sid=<?php echo $_REQUEST[$sid];?>&uid=<?php echo (isset($_REQUEST[$uniqueId])?$_REQUEST[$uniqueId]:$uniqueId);?>&oid=<?php echo (isset($_REQUEST[$offerId])?$_REQUEST[$offerId]:$offerId);?>" /></div>
</noscript>

<script type="text/javascript" language="javascript">
var _flbtn="";
(function(){
	var tci="flx<?php echo $pixel_1;?>";
	var flcachebuster = Math.round((new Date()).getTime() / 1000);
	document.write(unescape("%3Cscript src='"+((document.location.protocol=='https:') ?
	'https://'+tci+'.lporirxe.com' : 'http://'+tci+'.lporirxe.com')+"/"+"flp"+"/"+"ncvp.js?"
	+'c=<?php echo $pixel_1;?>'+'&i='+flcachebuster+"' type='text/javascript' charset='ISO-8859-1'%3E%3C/script%3E"));
})();
</script>

<script>
(function(){
	var objcnt = 0;
	var flto = setInterval(function(){
	objcnt++;
	if (typeof FLPXobj == 'object') {
	clearInterval(flto);
	Initflf();
	}
	if(objcnt > 4){
	clearInterval(flto);
	}
	},100);
	function Initflf(){
	FLPXobj.procinit(['<?php echo $pixel_1;?>','<?php echo $pixel_2;?>']);
	var myto = setInterval(function(){
		clearInterval(myto);
		var status = FLPXobj.pxstatus;
	},400);
	}
})();
</script>

<?php
}

register_activation_hook(__FILE__, 'activate_fraudlogix');
register_deactivation_hook(__FILE__, 'deactive_fraudlogix');

if (is_admin()) {
  add_action('admin_init', 'admin_init_fraudlogix');
  add_action('admin_menu', 'admin_menu_fraudlogix');
}

if (!is_admin()) {
    add_action('wp_footer', 'fraudlogix');
}

?>