<div class="wrap">
<h2 style="margin-left:10px;">FraudLogix</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>
<?php settings_fields('fraudlogix'); ?>

<div style="margin:0px;padding:5px;width:900px;">
<table class="form-table">
<tr>
  <th scope="row"><b>FraudLogix Pixel Id:</b></th>
  <td>
    <input type="text" id="fraudlogix_pixelId" name="fraudlogix_pixelId" value="<?php echo get_option('fraudlogix_pixelId'); ?>" />
    <span>(will be supplied to you by fraudlogix).</span>
  </td>
</tr>
</table>
</div>

<div style="border: 1px solid;margin:10px;padding:5px;">
<b>Field explanations:</b>
<ul>
<li><div style="font-weight:bold;width:60px;float:left;">id</div> The affiliate id</li>
<li><div style="font-weight:bold;width:60px;float:left;">sid</div> The sub affiliate id</li>
<li><div style="font-weight:bold;width:60px;float:left;">OfferID</div> The id of the individual offer or campaign that's being tracked. The client reporting interface will show stats separately for each unique offerID.</li>
<li><div style="font-weight:bold;width:60px;float:left;">UniqueID</div> This is optional and is a way for client to pass a unique identifier that means nothing to fraudlogix, but will be passed back to client in the export reporting for easier lookup.</li>
<li><div style="font-weight:bold;width:60px;float:left;">Vertical</div> This identifies the vertical for this specific offer. Please choose one of these options: Automotive, BizOpp, Coupons, Dating, E-Commerce, Education, Financial, Freebies, Gaming, Health, Home, Software Downloads, Surveys, Tourism, Other.</li>
<li><div style="font-weight:bold;width:60px;float:left;">Offertype</div> This identifies the type of offer. Please choose one of these options: Cost per lead, Cost Per Sale, Cost Per Download or Co-Reg.</li>
</ul>
</div>

<div style="border: 1px solid;margin:10px;padding:5px;width:750px;">
<div><b>Form Fields</b></div>
<div style="margin:5px;">
  - Please insert the names of the <b>Parameters</b> that you would like to be used for each value. If any of the Parameters do not exist as a GET or POST on your website page then it will be populated as a default value for the given field.
  <br>- The <b>id</b>, <b>sid</b> and <b>offerID</b> are mandatory.
  <br>- If using a <b>parameter</b>: The Parameter's name has to be an alphanumeric value (starting with a letter). Also underscore ( _ ) is available.
  <br>- If setting a <b>default value</b> then spaces and special characters are allowed.
</div>
<table  class="form-table" style="width:600px;">
<tr>
  <td style="font-weight:bold">id</td>
  <td>
    <input type="text" id="fraudlogix_affiliateId" name="fraudlogix_affiliateId" value="<?php echo get_option('fraudlogix_affiliateId'); ?>" />
    <span>Example: utm_source</span>
  </td>
</tr>
<tr>
  <td style="font-weight:bold">sid</td>
  <td>
    <input type="text" id="fraudlogix_sid" name="fraudlogix_sid" value="<?php echo get_option('fraudlogix_sid'); ?>" />
  </td>
</tr>
<tr>
  <td style="font-weight:bold">OfferId</td>
  <td>
    <input type="text" id="fraudlogix_offerId" name="fraudlogix_offerId" value="<?php echo get_option('fraudlogix_offerId'); ?>" />
  </td>
</tr>
<tr>
  <td style="font-weight:bold">UniqueId</td>
  <td>
    <input type="text" id="fraudlogix_uniqueId" name="fraudlogix_uniqueId" value="<?php echo get_option('fraudlogix_uniqueId'); ?>" />
  </td>
</tr>
<tr>
  <td style="font-weight:bold">Vertical</td>
  <td>
    <input type="text" id="fraudlogix_vertical" name="fraudlogix_vertical" value="<?php echo get_option('fraudlogix_vertical'); ?>" />
  </td>
</tr>
<tr>
  <td style="font-weight:bold">OfferType</td>
  <td>
    <input type="text" id="fraudlogix_offerType" name="fraudlogix_offerType" value="<?php echo get_option('fraudlogix_offerType'); ?>" />
  </td>
</tr>
</table>
</div>

<div style="border: 1px solid;margin:10px;padding:5px;width:750px;">
<div><b>Selected Pages</b></div>
<div style="margin:5px;">- Please select what pages you would like to activate the FraudLogix code on.</div>
  <?php $ar_pages=get_option('fraudlogix_arpages');
  if(!is_array($ar_pages))
    {
      $ar_pages=array();
    }
  
  ?>
  <table style="margin:5px;margin-left:60px;">
 <?php 
  $pages = get_pages();
  
  if(in_array( '0',$ar_pages))
    $chk="checked";
  echo "<tr><td><input type='checkbox' $chk id='fraudlogix_arpages[0]' name='fraudlogix_arpages[0]' value='0' onclick='checkAll(this)'></td><td>All Site</td></tr>"; 
  $chk="";
  
  if(in_array( '-1',$ar_pages))
    $chk="checked";
  echo "<tr><td><input type='checkbox' $chk id='fraudlogix_arpages[-1]' name='fraudlogix_arpages[-1]' value='-1' ></td><td>Homepage</td></tr>"; 
  $chk="";
  
  if(in_array( '-2',$ar_pages))
    $chk="checked";
  echo "<tr><td><input type='checkbox' $chk id='fraudlogix_arpages[-2]' name='fraudlogix_arpages[-2]' value='-2'></td><td>All Archive/Blog Posts Pages</td></tr>"; 
  $chk="";
  
  $post_page=get_option('page_for_posts');
  $front_page=get_option('page_on_front');
  
  foreach ( $pages as $page ) {
    if( ($post_page==0 || $post_page!=$page->ID)
        && ($front_page==0 || $front_page!=$page->ID)
      )
    {
      $option = "<tr><td align=center>";
      $chk="";
          if(in_array( $page->ID,$ar_pages))
            $chk="checked";
              
        	$option.= '<input type="checkbox" '.$chk.' id="fraudlogix_arpages[]" name="fraudlogix_arpages[]" value="' . $page->ID  . '">';
      	  $option .= "</td>";
        	$option .= "<td>".$page->post_title."</td>";
          $option .= "</tr>";
        //$option .= $page->post_title;
      	//$option .= '</option>';
      	echo $option;
    }
  }
  
 ?>
 </table>
</div>

<div style="margin:10px;">
  <input type="hidden" name="action" value="update" />
  <p class="submit">
  <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" onclick="return checkInput();" />
  </p>
</div>

</form>
</div>

<script>

function checkInput()
{
  var bres=true;
  var msg='';
  var tit='';
  
  inputText=document.getElementById("fraudlogix_pixelId").value;
  var checkResult = inputText.match(/^[flpx_][a-zA-Z_0-9]*$/);
  if(!checkResult || inputText=='')
  {
    bres=false;
    if(inputText=='')
      msg='Error: Pixel Id field is mandatory';
    else
      msg='Error: Pixel Id should be an alphanumeric value (starting with a flpx_).\n';
  }  
  
  inputText=document.getElementById("fraudlogix_affiliateId").value;
  var checkResult = inputText.match(/^[a-zA-Z][a-zA-Z_0-9]*$/);
  if(!checkResult || inputText=='')
  {
    if(inputText=='')
    {
      bres=false;
      msg='Error: Id field is mandatory';
    }
    else
      tit+='        - The value "'+inputText+'" will be used as default value for Id field since it has invalid charecters for a paramter (spaces, it starts with a number or special characters). if that was not your intention please fix.\n\n';
       
  }
  
  inputText=document.getElementById("fraudlogix_sid").value;
  var checkResult = inputText.match(/^[a-zA-Z][a-zA-Z_0-9]*$/);
  if(!checkResult || inputText=='')
  {
    if(inputText=='')
    {
      bres=false;
      msg='Error: sid field is mandatory';
    }
    else
      tit+='        - The value "'+inputText+'" will be used as default value for sid field since it has invalid charecters for a paramter (spaces, it starts with a number or special characters). if that was not your intention please fix.\n\n';
      
  }
  
  inputText=document.getElementById("fraudlogix_offerId").value;
  var checkResult = inputText.match(/^[a-zA-Z][a-zA-Z_0-9]*$/);
  if(!checkResult || inputText=='')
  {
    if(inputText=='')
    {
      bres=false;
      msg='Error: offerId field is mandatory';
    }
    else
      tit+='        - The value "'+inputText+'" will be used as default value for offerId field since it has invalid charecters for a paramter (spaces, it starts with a number or special characters). if that was not your intention please fix.\n\n';
      
  }
  inputText=document.getElementById("fraudlogix_uniqueId").value;
  var checkResult = inputText.match(/^[a-zA-Z][a-zA-Z_0-9]*$/);
  if(!checkResult && inputText!='')
  { 
     //bres=false;
     if(!checkResult)
      tit+='        - The value "'+inputText+'" will be used as default value for uniqueId field since it has invalid charecters for a paramter (spaces, it starts with a number or special characters). if that was not your intention please fix.\n\n';
      
  }
  
  inputText=document.getElementById("fraudlogix_vertical").value;
  var checkResult = inputText.match(/^[a-zA-Z][a-zA-Z_0-9]*$/);
  if(!checkResult && inputText!='')
  {
    //bres=false;
    if(!checkResult)
      tit+='        - The value "'+inputText+'" will be used as default value for vertical field since it has invalid charecters for a paramter (spaces, it starts with a number or special characters). if that was not your intention please fix.\n\n';
      
  }
    
  inputText=document.getElementById("fraudlogix_offerType").value;
  var checkResult = inputText.match(/^[a-zA-Z][a-zA-Z_0-9]*$/);
  if(!checkResult && inputText!='')
  {
    //bres=false;
    if(!checkResult)
      tit+='        - The value "'+inputText+'" will be used as default value for offerType field since it has invalid charecters for a paramter (spaces, it starts with a number or special characters). if that was not your intention please fix.\n\n';
      
  }
  
  if(bres)
  {
    if(msg!='')
      alert(msg);
    else
    {
      if(tit!='')
        alert('Warning:\n' + tit);
    }
    return true;
  }
  else
  {
    if(msg!='')
      alert(msg);
    else
      alert('Warning:\n' + tit);
    
    return false;
  }
}

function checkAll(bx) {
  var cbs = document.getElementsByName('fraudlogix_arpages[]');
  for(var i=0; i < cbs.length; i++) {
    if(cbs[i].type == 'checkbox') {
      cbs[i].checked = bx.checked;
    }
  }
  
  inputArchive=document.getElementById("fraudlogix_arpages[-2]");
  inputHomePage=document.getElementById("fraudlogix_arpages[-1]");
  if(inputArchive.type == 'checkbox') 
      inputArchive.checked = bx.checked;
  if(inputHomePage.type == 'checkbox') 
      inputHomePage.checked = bx.checked;
    
  
  
}


</script>